<?
if ($level < 2) {
  die('Доступ запрещен');
}

if (isset($_GET['activate'])) {
  $id = (int) $_GET['activate'];
  $sql -> update("UPDATE `users` SET `activate` = '0' WHERE `id` = '$id' LIMIT 1");
  $messages[] = 'Пользователь активирован';
}

$system['title'] = 'Список неактивированных';
require SYS . 'header.php';

?><div class="home_menu">
<? require '_src/search.php'; ?>
</div><?

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `users` WHERE `activate` != 0");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;">Список пользователей пуст</div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `users`  WHERE `activate` != '0' ORDER BY `date_reg` DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $anketa) {
    $num++;
    ?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
     <?= login($anketa['id'], 1)?> <br />
      <?= (!isset($_GET['online']) ? '<span class="ank_n">Регистрация:</span> <span class="ank_d">' . vremja($anketa['date_reg']) . '</span><br />' : '')?>
      <span class="ank_n">Последняя активность:</span> <span class="ank_d"><?= vremja($anketa['date_last'])?></span><br />
      <span class="ank_n">E-mail:</span> <span class="ank_d"><?= text($anketa['email'])?></span><br />
      [<a href="?func=<?= $func?>&amp;page=<?= $page?>&amp;activate=<?= $anketa['id']?>">Активировать</a>]
    </div>
    <?
  }

  if ($k_page > 1) { 
    str('?func=' . $func . $LINK . '&amp;', $k_page, $page);
  }
}
?>

<div class="foot">
&laquo; <a href="?func=admin">Админ панель</a>
</div>